import { Meta, StoryObj } from '@storybook/react';

import { DetailsHero } from '.';

const meta: Meta<typeof DetailsHero> = {
  title: 'Components/Hero',
  component: DetailsHero,
  parameters: {
    controls: {
      sort: 'requiredFirst',
      exclude: ['headingAs'],
    },
  },
};

export default meta;
type Story = StoryObj<typeof DetailsHero>;

export const details: Story = {
  args: {
    headline: 'Solana keeps accelerating with ecosystem-born innovations like xNFTs',
    publishDate: 'April 21, 2023 03:24:00',
    url: 'https://www.solana.com',
    shareIcons: true,
    author: {
      name: 'Austin Federa',
    },
    breadCrumbs: [
      {
        label: 'Settings',
      },
      {
        label: 'Team',
      },
    ],
    buttons: [
      {
        hierarchy: 'purpleGradient',
        size: 'lg',
        label: 'Button CTA',
      },
      {
        hierarchy: 'outline',
        size: 'lg',
        label: 'Button CTA',
      },
    ],
    image: {
      src: '/images/blog-card.png',
    },
    backgroundImage: {
      src: '/images/hero/detail-hero-background.png',
    },
  },
};
