import { Meta, StoryObj } from '@storybook/react';

import { Switchback } from '.';

const meta: Meta<typeof Switchback> = {
  title: 'Components/Switchback',
  component: Switchback,
  parameters: {
    controls: {
      sort: 'requiredFirst',
      exclude: ['headingAs'],
    },
  },
};

export default meta;
type Story = StoryObj<typeof Switchback>;

export const switchback: Story = {
  args: {
    eyebrow: 'optional eyebrow',
    headline: 'Build the future together',
    body:
      'Lorem ipsum dolor sit amet consectetur. Ipsum nunc quam tellus tincidunt egestas pharetra nibh. Pharetra et felis imperdiet eget in pharetra interdum malesuada. A tortor massa morbi sed purus vitae elit nullam porta. In amet pharetra orci cras sit sit massa dignissim. ',
    buttons: [
      {
        hierarchy: 'purpleGradient',
        size: 'xl',
        label: 'Start Building',
      },
      {
        hierarchy: 'outline',
        size: 'xl',
        label: 'Read docs',
      },
    ],
    image: {
      src: '/images/ring-ball.png',
    },
  },
};
